#ifndef ATL_sGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,192,384,576,640,704,832,1728
 * N : 25,192,384,576,640,704,832,1728
 * NB : 9,8,16,24,24,32,64,64
 */
#define ATL_sGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 108) (nb_) = 9; \
   else if ((n_) < 288) (nb_) = 8; \
   else if ((n_) < 480) (nb_) = 16; \
   else if ((n_) < 672) (nb_) = 24; \
   else if ((n_) < 768) (nb_) = 32; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_sGetNB_geqrf */
